@charset "UTF-8";

/*--- ページヘッダー(このファイルのみの適用) ---*/
.page-header {
  opacity: 0;
  visibility: hidden;
  transition: all 1s;
  &.is-show {
    opacity: 1;
    visibility: visible;
    transition: all 1s;
  }
}

/*--- 問い合わせボタン領域 ---*/
/*--- ナビゲーションラッパー ---*/
/*
.navi-wrapper.is-show {
  opacity: 1;
  visibility: visible;
}

.menu-btn-line span,
.menu-btn-line::before,
.menu-btn-line::after {
  background-color: #595959;
}
*/

/* (darkクラスあり)メニューボタンの装飾 */
/*
.menu-btn.dark .menu-btn-line > span,
.menu-btn.dark .menu-btn-line::before,
.menu-btn.dark .menu-btn-line::after {
  background-color: #595959;
}
*/

/*--- アクティブナビゲーション ---*/
.navi-top a {
  font-weight: bold;
  color: #2680E8;
  pointer-events: none;
}

/*--- コンテナ領域 ---*/
.container h1 {
  display: none;
}

/*--- 動画領域 ---*/
.video-area {
  position: relative;
  width: 100%;
  min-height: 100vh;
  overflow: hidden; /* videoをトリミング */
  z-index: 0;
  &::after { /* ドット柄 */
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* なめらかフィルタ */
    /*background-color: rgba(0,0,0,0.3);
    background-image: radial-gradient(#111 30%, transparent 31%), radial-gradient(#111 30%, transparent 31%);
    background-size: 2px 2px;
    background-position: 0 0, 1px 1px;*/
    /* 粗めのフィルタ */
    background-image: linear-gradient(45deg, rgba(0, 0, 0, 0.164) 50%, rgba(0, 0, 0, 0.384) 50%);
    background-size: 2px 2px;
    display: block;
    z-index: 100;
  }
  & > video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    transform: translate(-50%, -50%); /* 中央寄せ用の調整 */
    object-fit: cover; /* 比率を保ったまま、エリア全体を覆う（最重要） */
    z-index: 0;
  }
}

.animation {
  animation: video_fadein 1.5s;
  animation-fill-mode: forwards;
}

@keyframes video_fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.video-area.is-disabled::after {
  display: none;
}

.state {
  position: absolute;
  top: 50%;
  left: 50%;
  color: white;
  min-width: 100%;
  min-height: 100%;
  transform: translate(-50%, -50%);
  z-index: 100;
}

/*--- ロゴ領域 ---*/
.logo-area {
  position: absolute;
  top: 5px;
  left: 5px;
  overflow: hidden;
  z-index: 200;
  & > img {
    height: 25px;
    opacity: 0.5;
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .logo-area {
    top: 30px;
    left: 30px;
    & > img {
      height: 56px;
    }
  }
}

/*--- キャッチフレーズ領域 ---*/
.catchphrase-area {
  position: absolute;
  top: 20%;
  left: 10%;
  width: 80%;
  height: 40%;
  color: white;
  overflow: hidden;
  /*font-size:20px;*/
  /*text-align: center;*/
  /*transform: translate(-50%, -15%); /* 中央寄せ用の調整 */
  z-index: 200;
}

/* キャッチフレーズ1 */
.phrase-1 {
  letter-spacing: 0.3rem;
  font-family: "Outfit", sans-serif;
  font-size: var(--font-size-48);
  font-weight: 400;
  & > span {
    line-height: 1.2em;
    display: block;
    overflow: hidden;
  }
}

.ani-effect {
  display: inline-block;
  transform: translateY(100%); /* Y軸方向へ垂直移動 */
  animation-name: phrase-1-fadein;
  animation-duration: 1.2s; /* アニメーション周期が完了するまでの再生時間 */
  animation-fill-mode: forwards; /* アニメーション開始前と終了後の状態（forwards:終了後は@keyframesの100%(to)の表示のまま） */
}

@keyframes phrase-1-fadein { /* キャッチフレーズ1 フェードイン */
  from {
    transform: translateY(100%);
  }
  to {
    transform: translateY(0);
  }
}

.ani-timing-1-2 { /* アニメーション開始の待ち時間 */
  animation-delay: 1.2s;
}

.ani-timing-1-8 { /* アニメーション開始の待ち時間 */
  animation-delay: 1.8s;
}

.ani-timing-2-4 { /* アニメーション開始の待ち時間 */
  animation-delay: 2.4s;
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .phrase-1 { /* キャッチフレーズ1 */
    font-size: var(--font-size-98);
    & > span {
       display: inline-block;
    }
  }
}

/* キャッチフレーズ2 */
.phrase-2 {
  position: absolute;
  bottom: 0;
  right: 0;
  text-align: right;
  font-family: "Noto Serif JP", serif; /* 明朝 */
  font-size: var(--font-size-16);
  & > span {
    display: block;
    opacity: 0;
    transform: translateX(5em); /* X軸方向へ平行移動 */
    animation-name: phrase-2_fadein;
    animation-delay: 3s; /* アニメーション開始までの待ち時間 */
    animation-duration: 1.5s; /* アニメーション周期が完了するまでの再生時間 */
    animation-fill-mode: forwards; /* アニメーション開始前と終了後の状態（forwards:終了後は@keyframesの100%(to)の表示のまま） */
  }
  & .highlight-word {
    font-size: var(--font-size-20);
    font-weight: 700;
  }
}

@keyframes phrase-2_fadein { /* キャッチフレーズ2 フェードイン */
  0% {
    opacity: 0;
    /*transform: translateY(1.2em);*/
    transform: translateX(5em);
  }
  100% {
    opacity: 1;
    /*transform: translateY(0);*/
    transform: translateX(0);
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .phrase-2 { /* キャッチフレーズ2 */
    font-size: var(--font-size-38);
    & .highlight-word {
      font-size: var(--font-size-42);
    }
  }
}

/*--- スクロールライン ---*/
.scroll-line {
  position: absolute;
  top: 85vh;
  right: 5vw;
  color: white;
  writing-mode: vertical-rl;
  mix-blend-mode: difference;
  z-index: 100;
  &::before { /* 線のアニメーション部分 */
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 1px;
    height: 30vh;
    margin: auto;
    background-color: white;
    animation: scroll-line_animation 2s infinite;
  }
  & > span {
    font-size: var(--font-size-10);
  }
}

@keyframes scroll-line_animation { /* 線のアニメーション */
  0% {
    transform: scale(1, 0);
    transform-origin: 0 0;
  }
  50% {
    transform: scale(1, 1);
    transform-origin: 0 0;
  }
  51% {
    transform: scale(1, 1);
    transform-origin: 0 100%;
  }
  100% {
    transform: scale(1, 0);
    transform-origin: 0 100%;
  }
}

/*--- メッセージ領域 ---*/
.msg-area {
  position: relative;
  height: 120vh;
  background-image: url(/img/bg_msg.jpg);
  background-repeat: no-repeat;
  background-position: right -200px center;
  background-size: cover;
  overflow: hidden;
  /* 背景を透過 start */
  background-color: rgb(255 255 255 / 0.5);
  background-blend-mode: lighten; /* 明るく合成する */
  /* 背景を透過 end */
}

/* メッセージ */
.msg {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 80%;
  transform: translate(-50%, -50%); /* 中央寄せ（調整）*/
  padding: 10%;
  /*background-color: #ffd700;*/
  & > .swiper {
    background-color: transparent;
  }
}

/* スライド */
.swiper {
  margin-top: 10px;
  background-color: #f5f5f5;
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
  .swiper {
    width : 700px;
  }
  .swiper-slide img {
    width : 700x;
  }
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
}

/* ナビゲーションボタン */
.swiper-button-prev::after,
.swiper-button-next::after {
  color: white;
  font-size: var(--font-size-20) !important;
  font-weight: bold;
  opacity: 0.5;
}

/*
.swiper-button-next,
.swiper-button-prev {}
*/

/* ページネーション */
/* 余白 */
.swiper-horizontal > .swiper-pagination-bullets .swiper-pagination-bullet,
.swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet {
  margin: 0 10px 10px;
}

/* サイズ、色 */
.swiper-pagination-bullet {
  height: 30px;
  width: 30px;
}

.swiper-slide {
  position: relative; /* 重ねメッセージの起点を指定 */
  & > a {
    width: 100%;
    height: 100%;
    display: block; 
  }
}

/* メッセージタイトル */
.msg-ttl {
  margin-bottom: 1rem;
  font-family: "Noto Serif JP", serif; /* 明朝 */
  font-size: var(--font-size-30);
  font-weight: 500;
  text-shadow:
    0 0 8px #ffffff,
    0 0 8px #ffffff,
    0 0 8px #ffffff,
    0 0 8px #ffffff,
    0 0 8px #ffffff, /* 重ねてキワを真っ白にする */
    0 0 20px #ffffff, /* 外側にぼんやり広げる */
    0 0 30px #ffffff; /* さらに遠くまで広げる */
  opacity: 0;
  transition: all 3s;
  &.is-show {
    opacity: 1;
  }
}

/* メッセージサブタイトル */
.msg-subttl {
  margin-bottom: 2rem;
  line-height: 2em;
  font-family: "Noto Serif JP", serif; /* 明朝 */
  font-size: var(--font-size-20);
  /*font-weight: 600;*/
  text-shadow:
    0 0 8px #ffffff,
    0 0 8px #ffffff,
    0 0 8px #ffffff,
    0 0 8px #ffffff,
    0 0 8px #ffffff, /* 重ねてキワを真っ白にする */
    0 0 20px #ffffff, /* 外側にぼんやり広げる */
    0 0 30px #ffffff; /* さらに遠くまで広げる */
  opacity: 0;
  transition: all 3s;
  &.is-show {
    opacity: 1;
  }
}

/* メッセージテキスト */
.msg-txt {
  line-height: 1.7em;
  text-align: justify;
  font-family: "Sawarabi Mincho", serif;
  font-size: var(--font-size-18);
  text-shadow:
    0 0 8px #ffffff,
    0 0 8px #ffffff,
    0 0 8px #ffffff,
    0 0 8px #ffffff,
    0 0 8px #ffffff, /* 重ねてキワを真っ白にする */
    0 0 20px #ffffff, /* 外側にぼんやり広げる */
    0 0 30px #ffffff; /* さらに遠くまで広げる */
  opacity: 0;
  transition: all 3s;
    &.is-show {
    opacity: 1;
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .msg-area {
    background-position: right center;
  }
  .msg-area::before {
    content: ""; /* 疑似要素に必須 */
    position: absolute;
    top: 0;
    left: 0;
    width: 100%; /* 幅いっぱい */
    height: 100%; /* 高さいっぱい */
    display: block; /* 高さを指定するためにブロック要素にする */
    background: linear-gradient(to left, transparent 30%, #ffffff 100%); /* 徐々に透明にする */
  }
  .msg {
    top: 40%;
    left: 30%;
    width: 40%;
  }
  .msg-ttl {
    font-size: var(--font-size-40);
  }
  .msg-subttl {
    font-size: var(--font-size-22);
  }
  .msg-txt {
    font-size: var(--font-size-18);
  }
}

/* ========== ↓↓↓↓↓ 未使用(20251127) ↓↓↓↓↓ ========== */
/*--- お知らせ領域---*/
.info-area {
  padding: 60px 0;
  /*visibility: hidden;*/
  /*display: none;*/
  & > .info-caption { /* 表題 */
    font-size: var(--font-size-20);
    text-align: center;
  }
  & > ul {
    width: 75%;
    margin: 10px auto 0;
    & > li {
      padding: 10px 0;
      list-style: none;
      line-height: 1.5;
      /*font-size: var(--font-size-14);*/
      border-bottom: 1px dotted silver;
      &:first-of-type { /* 最初 */
        border-top: 1px dotted silver;
      }
      & .info-date { /* お知らせ日時 */
        font-weight: bold;
      }
    }
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .info-area li:nth-of-type(n + 4) { /* 4番目以降 */
    display: none;
  }
}

/* もっと見るリンク */
.info-area ul + .lnk-btn {
  margin-top: 70px;
}

/*--- もっと見る ---*/
/*
.info-area {
  position: relative;
}

.info-caption::after {
  content: "Information";
  position: absolute;
  top: 10px;
  left: 10px;
  font-family: "Outfit", sans-serif;
  font-weight: 700;
  font-size: var(--font-size-64);
  letter-spacing: 0;
  color: silver;
  writing-mode: vertical-rl;
  opacity: 0.3;
  display: block;
}

.info-more {
  position: relative;
  right: 20px;
  bottom: 0;
  text-align: right;
  border: 1px solid red;
}
*/

/* ========== ↑↑↑↑↑ 未使用(20251127) ↑↑↑↑↑ ========== */

/*--- セクションブロック領域 ---*/
.sec-block-area {
  width: 100%;
  margin-top: 5rem;
  & > .sec-block { /* セクションブロック */
    position: relative;
    background-color: #F8F8F8;
  }
}

section.sec-block ~ section.sec-block { /* section.sec-blockの後ろの同階層にある、すべてのsection.sec-block（2番目以降のsection.sec-block） */
  margin-top: 1.5rem;
}

/* セクションタイトルテキスト領域 */
.sec-ttl-txt-area {
  position: relative;
  width: 100%;
  height: 90vh;
  top: 0;
  left: 0;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  & > a {
    width: 100%;
    height: 100%;
    display: block;
    /*text-decoration: none;*/
  }
}

/* 業務内容 */
.sec-block.blc-services {
  & > .sec-ttl-txt-area {
    background-color: #ffd700;
    background-image: url("/img/bg_services.jpg");
    background-position: 25% top;
    &::before {
      content: "Defining Spaces";
      position: absolute;
      top: 0.3em;
      left: 0.2em;
      font-family: "Outfit", sans-serif;
      font-weight: 700;
      font-size: var(--font-size-64);
      letter-spacing: 0;
      color: white;
      writing-mode: vertical-rl;
      opacity: 0.5;
      display: block;
    }
  }
}

/* 地域貢献 */
/*
.sec-block.blc-contribution {
  & > .sec-ttl-txt-area {
    background-color: #ffd700;
    background-image: url("/img/bg_contribution.jpg");
    background-position: 25% top;
    &::before {
      content: "United Tomorrow";
      content: "Shared Progress";
      position: absolute;
      top: 0.3em;
      left: 0.2em;
      font-family: "Outfit", sans-serif;
      font-weight: 700;
      font-size: var(--font-size-64);
      letter-spacing: 0;
      color: white;
      writing-mode: vertical-rl;
      opacity: 0.3;
      display: block;
    } 
  }
}
*/

/* SDGs */
.sec-block.blc-sdgs {
  & > .sec-ttl-txt-area {
    background-color: #ffd700;
    background-image: url("/img/bg_sdgs.jpg");
    background-position: 25% top;
    &::before {
      content: "Sustaining Earth";
      position: absolute;
      top: 0.3em;
      left: 0.2em;
      font-family: "Outfit", sans-serif;
      font-weight: 700;
      font-size: var(--font-size-62);
      letter-spacing: 0;
      color: white;
      writing-mode: vertical-rl;
      opacity: 0.7;
      display: block;
    }
  }
}

/* 会社情報 */
.sec-block.blc-campany {
  & > .sec-ttl-txt-area {
    background-color: #ffd700;
    background-image: url("/img/office_building.jpg");
    background-position: 25% top;
    &::before {
      content: "Building Trust";
      position: absolute;
      top: 0.3em;
      left: 0.2em;
      font-family: "Outfit", sans-serif;
      font-weight: 700;
      font-size: var(--font-size-64);
      letter-spacing: 0;
      color: white;
      writing-mode: vertical-rl;
      opacity: 0.5;
      display: block;
    }
  }
}

/* 採用情報 */
.sec-block.blc-careers {
  & > .sec-ttl-txt-area {
    background-color: #ffd700;
    background-image: url("/img/bg_careers.jpg");
    &::before {
      content: "Map Your Path";
      position: absolute;
      top: 0.3em;
      left: 0.2em;
      font-family: "Outfit", sans-serif;
      font-weight: 700;
      font-size: var(--font-size-64);
      letter-spacing: 0;
      color: white;
      writing-mode: vertical-rl;
      opacity: 0.7;
      display: block;
    }
  }
}

/* お問い合わせ */
.sec-block.blc-contact {
  & > .sec-ttl-txt-area {
    background-color: #ffd700;
    background-image: url("/img/bg_contact.jpg");
    &::before {
      content: "Get in Touch";
      position: absolute;
      top: 0.3em;
      left: 0.2em;
      font-family: "Outfit", sans-serif;
      font-weight: 700;
      font-size: var(--font-size-64);
      letter-spacing: 0;
      color: white;
      writing-mode: vertical-rl;
      opacity: 0.7;
      display: block;
    }
  }
}

/*--- セクションタイトルテキスト領域 ---*/
.sec-ttl-txt-area {
  position: relative;
  width: 100%;
  height: 90vh;
  top: 0;
  left: 0;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  & > a {
    width: 100%;
    height: 100%;
    display: block;
    /*text-decoration: none;*/
  }
}

/* セクションタイトル */
.sec-ttl {
  position: absolute;
  top: 10%;
  right: 5%;
  font-family: "Sora", sans-serif;
  font-size: var(--font-size-40);
  color: white;
  text-shadow: 2px 2px 5px #333;
  & > span { /* 日本語表記 */
    font-size: var(--font-size-14);
    display: block;
  }
}

/* セクションテキスト */
.sec-txt {
  position: absolute;
  bottom: 15%;
  left: 10%;
  width: 80%;
  margin: 1em auto;
  text-align: justify;
  text-justify: inter-ideograph; /* IE,Edge用*/
  line-height: 1.5;
  color: white;
  text-shadow: 2px 2px 5px #333;
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
  .sec-block-area {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem; /* 横の隙間 */
  }
  .sec-block {
    width: 90%;
    margin-top: 0 !important;
    box-sizing: border-box;
  }
  .sec-ttl {
    font-size: clamp(1rem, 2.5vw, 2rem); /* clamp(最小サイズ、画面幅に連動するサイズ、最大サイズ) */
    & > span {
      margin-top: 1rem;
      font-size: clamp(0.5rem, 1.5vw, 1rem); /* clamp(最小サイズ、画面幅に連動するサイズ、最大サイズ) */
    }
  }
  .sec-txt {
    top: 60%;
  }
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .sec-block-area {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1rem; /* 横の隙間 */
  }
  .sec-block {
    width: 100%;
    margin-top: 0 !important;
    box-sizing: border-box;
  }
  .sec-ttl {
    font-size: clamp(1rem, 2.5vw, 2rem); /* clamp(最小サイズ、画面幅に連動するサイズ、最大サイズ) */
    & > span {
      margin-top: 1rem;
      font-size: clamp(0.5rem, 1.5vw, 1rem); /* clamp(最小サイズ、画面幅に連動するサイズ、最大サイズ) */
    }
  }
  .sec-txt {
    top: 60%;
  }
}

/*--- TOP動画フィルタONOFF ---*/
.filteronoff {
  display: none;
  position: absolute;
  bottom: 0;
  z-index: 5000;
}

.filteronoff label {
  color: white;
}